river-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Firmstone <j...@zeus.net.au>
Subject Re: Which JUnit version?
Date Sun, 20 Feb 2011 03:19:37 GMT
I think someone also mentioned TestNG, which sounded promising, I was 
happy to convert my junit tests, although I haven't done so yet.

Cheers,

Peter.

Greg Trasuk wrote:
> On Sat, 2011-02-19 at 13:11, Patricia Shanahan wrote:
>   
>> I'm converting my own informal tests of my FastList implementation into 
>> a JUnit test that can be checked in for regression testing. Can I use 
>> JUnit 4, or are we limited to JUnit 3?
>>
>> Patricia
>>     
>
> I don't see any problem with JUnit 4, since we're using JDK1.5
> officially.  I'm pretty sure the JUnit 4 test runner will still run
> JUnit 3 tests.  You might have to alter the Ant build to get the right
> test library into the runtime.
>
> Cheers,
>
> Greg.
>
>
>
>   


Mime
View raw message